Upstream information

CVE-2014-4877 at MITRE

Description

Absolute path traversal vulnerability in GNU Wget before 1.16, when recursion is enabled, allows remote FTP servers to write to arbitrary files, and consequently execute arbitrary code, via a LIST response that references the same filename within two entries, one of which indicates that the filename is for a symlink.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 9.3 7.5
Vector AV:N/AC:M/Au:N/C:C/I:C/A:C AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network Network
Access Complexity Medium Low
Authentication None None
Confidentiality Impact Complete Partial
Integrity Impact Complete Partial
Availability Impact Complete Partial
SUSE Bugzilla entries: 902709 [RESOLVED], 910180 [REOPENED], 911056 [RESOLVED], 915835 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP3
  • wget >= 1.11.4-1.19.1
Patchnames:
sledsp3-wget
SUSE Linux Enterprise Desktop 12
  • wget >= 1.14-7.1
Patchnames:
SUSE-SLE-DESKTOP-12-2014-76
SUSE Linux Enterprise Desktop 12 SP1
  • wget >= 1.14-7.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA wget
SUSE Linux Enterprise Desktop 12 SP2
  • wget >= 1.14-10.3
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA wget
SUSE Linux Enterprise Desktop 12 SP3
  • wget >= 1.14-20.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA wget
SUSE Linux Enterprise Module for Basesystem 15
  • wget >= 1.19.5-1.8
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA wget
SUSE Linux Enterprise Server 11 SP1-LTSS
  • wget >= 1.11.4-1.19.1
Patchnames:
slessp1-wget
SUSE Linux Enterprise Server 11 SP2-LTSS
  • wget >= 1.11.4-1.19.1
Patchnames:
slessp2-wget
SUSE Linux Enterprise Server 11 SP3
  • wget >= 1.11.4-1.19.1
Patchnames:
slessp3-wget
SUSE Linux Enterprise Server 11 SP4
  • wget >= 1.11.4-1.19.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA wget
SUSE Linux Enterprise Server 11-SECURITY
  • wget-openssl1 >= 1.11.4-1.26.1
Patchnames:
SUSE Linux Enterprise Server 11-SECURITY GA wget-openssl1
SUSE Linux Enterprise Server 12
  • wget >= 1.14-7.1
Patchnames:
SUSE-SLE-SERVER-12-2014-76
SUSE Linux Enterprise Server 12 SP1
  • wget >= 1.14-7.1
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA wget
SUSE Linux Enterprise Server 12 SP2
  • wget >= 1.14-10.3
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA wget
SUSE Linux Enterprise Server 12 SP3
  • wget >= 1.14-20.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA wget
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • wget >= 1.14-10.3
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA wget
SUSE Linux Enterprise Server for SAP Applications 11 SP1-LTSS
  • wget >= 1.11.4-1.19.1
Patchnames:
slessp1-wget
SUSE Linux Enterprise Server for SAP Applications 11 SP2-LTSS
  • wget >= 1.11.4-1.19.1
Patchnames:
slessp2-wget
SUSE Linux Enterprise Server for SAP Applications 11 SP3
  • wget >= 1.11.4-1.19.1
Patchnames:
slessp3-wget
SUSE Linux Enterprise Server for SAP Applications 12
  • wget >= 1.14-7.1
Patchnames:
SUSE-SLE-SERVER-12-2014-76
SUSE Linux Enterprise Server for VMWare 11 SP3
  • wget >= 1.11.4-1.19.1
Patchnames:
slessp3-wget
SUSE Linux Enterprise Server 11 SP2 LTSS
  • wget >= 1.11.4-1.19.1
Builds
SAT Patch Nr: 9939
SUSE Linux Enterprise Server 10 SP4 LTSS for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 LTSS for IBM zSeries 64bit
SUSE Linux Enterprise Server 10 SP4 LTSS for x86
  • wget >= 1.10.2-15.14.5
Builds
ZYPP Patch Nr: 8985
SUSE Linux Enterprise Desktop 11 SP3
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • wget >= 1.11.4-1.19.1
Builds
SAT Patch Nr: 9933
SUSE Linux Enterprise Server 11 SP1 LTSS
  • wget >= 1.11.4-1.19.1
Builds
SAT Patch Nr: 9938
openSUSE 13.1
  • wget >= 1.16-3.4.1
  • wget-debuginfo >= 1.16-3.4.1
  • wget-debugsource >= 1.16-3.4.1
Patchnames:
openSUSE-2014-637
openSUSE Leap 15.0
  • wget >= 1.19.5-lp150.1.1
Patchnames:
openSUSE Leap 15.0 GA wget
openSUSE Leap 42.1
  • wget >= 1.14-2.2
Patchnames:
openSUSE Leap 42.1 GA wget
openSUSE Leap 42.2
  • wget >= 1.14-4.2
Patchnames:
openSUSE Leap 42.2 GA wget
openSUSE Leap 42.3
  • wget >= 1.14-10.3
Patchnames:
openSUSE Leap 42.3 GA wget
openSUSE Tumbleweed
  • wget >= 1.18-2.3
Patchnames:
openSUSE Tumbleweed GA wget


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 10 SP3 wget Released
SUSE Linux Enterprise Desktop 10 SP4 wget Released
SUSE Linux Enterprise Desktop 11 SP1 wget Released
SUSE Linux Enterprise Desktop 11 SP2 wget Released
SUSE Linux Enterprise Desktop 11 SP3 wget Released
SUSE Linux Enterprise Desktop 11 SP4 wget Released
SUSE Linux Enterprise Desktop 12 GA wget Released
SUSE Linux Enterprise Server 10 SP3 wget Released
SUSE Linux Enterprise Server 10 SP4 wget Released
SUSE Linux Enterprise Server 10 SP4 LTSS wget Released
SUSE Linux Enterprise Server 11 SP1 wget Released
SUSE Linux Enterprise Server 11 SP1 LTSS wget Released
SUSE Linux Enterprise Server 11 SP2 wget Released
SUSE Linux Enterprise Server 11 SP2 LTSS wget Released
SUSE Linux Enterprise Server 11 SP3 wget Released
SUSE Linux Enterprise Server 11 SP3 LTSS wget Released
SUSE Linux Enterprise Server 11 SP4 wget Released
SUSE Linux Enterprise Server 12 GA wget Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 wget Released
SUSE Linux Enterprise Server for SAP Applications 11 SP3 wget Released
SUSE Linux Enterprise Server for VMWare 11 SP2 wget Released
SUSE Linux Enterprise Server for VMWare 11 SP3 wget Released